# KDE-Benutzerhandbuch

2010-10-21
K Desktop Environment
plasmoidviewer
1

# `plasmoidviewer`

Plasma-Miniprogramme in einem eigenen Fenster ausführen

    plasmoidviewer -c, --containment  name -f, --formfactor  name --list --list-wallpapers --list-containments -l, --location  name -p, --pixmapcache  size -s, --screenshot --screenshot-all -t, --theme  name -w, --wallpaper  name applet args --list-remote Allgemeine KDE-Optionen Allgemeine Qt-Optionen

## Beschreibung

`plasmoidviewer` ist ein Programm mit grafischer Oberfläche, das es Entwicklern ermöglicht, Plasma-Miniprogramme zu testen.

Nur installierte Miniprogramme werden gefunden. Um auch gerade erst installierte Miniprogramm zu finden, muss möglicherweise noch `kbuildsycoca4` ausgeführt werden.

## Optionen

`-c, --containment name`

  Name des Container-Moduls [null]

`-f, --formfactor name`

  Der zu verwendende Formfaktor (horizontal, vertical, mediacenter oder planar) [planar]

`--list`

  Zeigt eine Liste der bekannten Miniprogramme an.

`--list-wallpapers`

  Zeigt eine Liste der bekannten Hintergrundbilder an.

`--list-containments`

  Zeigt eine Liste der bekannten Container an.

`-l, --location name`

  Die Platzierungsbedingung, mit der der Container gestartet werden soll (floating, desktop, fullscreen, top, bottom, left, right) [floating]

`-p, --pixmapcache size`

  Die Größe in KB für den Pixmap-Zwischenspeicher.

`-s, --screenshot`

  Erstellt ein Bildschirmfoto des Miniprogramms und speichert dieses im Arbeitsordner als <pluginname>.png

`-s, --screenshot-all`

  Erstellt ein Bildschirmfoto aller Miniprogramme und speichert dieses im Arbeitsordner als <pluginname>.png

`-t, --theme name`

  Zu verwendendes SVG-Design.

`-w, --wallpaper name`

  Name des Hintergrundbild-Moduls. Dazu muss ein Container-Modul angegeben werden.

`applet`

  Name des anzuzeigenden Miniprogramms; dies könnte der Modulname oder ein Pfad zu einem Paket sein (absolut oder relativ). Falls nicht angegeben, wird versucht, ein Paket aus dem aktuellen Ordner zu laden.

`args`

  Optionale Argumente für das hinzuzufügende Miniprogramm.

`--list-remote`

  Über Zeroconf bekanntgemachte freigegebene Miniprogramme auflisten.

## Siehe auch

Weitere ausführliche Dokumentation finden Sie unter help:/plasma-desktop (geben Sie diese URL entweder im &konqueror; ein oder starten Sie ``khelpcenter` `help:/plasma-desktop``).

## Autor

`plasmoidviewer` wurde von Aaron Seigo aseigo@kde.org geschrieben.